=== debian/changelog ===
openexr (2.2.1.6-deepin1) unstable; urgency=medium

  * fix CVE-2021-45942、CVE-2021-3941、CVE-2021-3933 and CVE-2021-20303

 -- yanghaibo <yanghaibo@uniontech.com>  Fri, 16 Dec 2022 13:20:58 +0800
