## openexr 2.2.1.7

=== debian/changelog ===
openexr (2.2.1.7-deepin1) unstable; urgency=medium

  * fix CVE-2020-16587 CVE-2020-16588 CVE-2020-16589 CVE-2021-3475
        CVE-2021-3477 CVE-2021-3479 CVE-2021-23215 CVE-2021-26260

 -- zengwei <zengwei1@uniontech.com>  Tue, 07 Feb 2023 13:45:37 +0800
