=== IlmImfTest/CMakeLists.txt ===
--- 
+++ 
@@ -62,14 +62,14 @@
   testYca.cpp
  )
 
+SET_ILMBASE_INCLUDE_DIRS( IlmImfTest )
 
 ADD_TEST ( TestIlmImf IlmImfTest )
-TARGET_LINK_LIBRARIES ( IlmImfTest 
-        IlmImf  
-        Half 
-        Iex${ILMBASE_LIBSUFFIX}
-        Imath${ILMBASE_LIBSUFFIX}
-        IlmThread${ILMBASE_LIBSUFFIX}
-        ${PTHREAD_LIB} ${ZLIB_LIBRARIES}
-        )
-
+TARGET_LINK_LIBRARIES ( IlmImfTest
+  OpenEXR::IlmImf${OPENEXR_TARGET_SUFFIX}
+  IlmBase::Half${OPENEXR_TARGET_SUFFIX}
+  IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
+  IlmBase::Imath${OPENEXR_TARGET_SUFFIX}
+  IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
+  ${PTHREAD_LIB} ${ZLIB_LIBRARIES}
+  )
