=== exrheader/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( exrheader main.cpp )
SET_ILMBASE_INCLUDE_DIRS( exrheader )

TARGET_LINK_LIBRARIES ( exrheader
  OpenEXR::IlmImf${OPENEXR_TARGET_SUFFIX}
  IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
  IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
  IlmBase::Half${OPENEXR_TARGET_SUFFIX}
  ${PTHREAD_LIB}
  ${ZLIB_LIBRARIES}
  )

INSTALL ( TARGETS
  exrheader
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/bin
)
