=== debian/changelog ===
openexr (2.3.0-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:38 +0100

openexr (2.3.0-6) unstable; urgency=medium

  * Upload to unstable (Closes: #919036)
  * debian/: debhelper bump 11 -> 12
  * debian/control: S-V bump 4.3.0 -> 4.4.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 02 Sep 2019 16:23:00 +0200

openexr (2.3.0-5) experimental; urgency=medium

  * debian/control: Provide a clean upgrade path. Closes: #918382
  * debian/copyright: Update incomplete file. Closes: #917953
  * debian/control: Make sure to pick libilmbase24

 -- Mathieu Malaterre <malat@debian.org>  Wed, 09 Jan 2019 11:00:54 +0100

openexr (2.3.0-4) experimental; urgency=medium

  * debian/control: SONAME bump 23 -> 24 to reflect libtool numbering
  * debian/: filenames adapted to SONAME bump
  * debian/control: S-V bump 4.2.1 -> 4.3.0 (no changes needed)
  * debian/control: bump dependency on ilmbase to "-3" revision

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 31 Dec 2018 15:37:38 +0100

openexr (2.3.0-3) experimental; urgency=medium

  * Make sure to use float-store when compiling tests. Closes: #909865

 -- Mathieu Malaterre <malat@debian.org>  Wed, 19 Dec 2018 21:41:08 +0100

openexr (2.3.0-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * am_foreign_set_global.diff: Patch AM_INIT_AUTOMAKE in configure.ac to run
    automake with --foreign. (Needed for running autoreconf without specifying
    this option.)
  * Add a build-dependency on pkg-config, which is also need for running
    autoreconf.
  * Undo downgrade of debhelper version in previous upload.
    + Undo path changes in debian/openexr-doc.doc-base.*, with compat level 11
      dh_installdocs installs to /usr/share/doc/openexr/.
  * Delete unapplied patch 20_autoreconf.diff.
  * Build with hardening=+bindnow.

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 15 Nov 2018 22:06:35 +0100

openexr (2.3.0-1) experimental; urgency=medium

  * New upstream release
    - debian/: debhelper version downgrade 11 -> 9
    - debian/watch: path and parameters updated
    - debian/upstream/signing-key.asc: new signing key
  * debian/control:
    - S-V bump 4.1.3 -> 4.2.1 (no changes needed)
    - b-dep version bump for libilmbase-dev
    - b-dep version bump for libilmbase-dev
  * debian/openexr-doc.doc-base.*: paths updated

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 10 Nov 2018 22:38:31 +0100
