## openexr 2.5.3

=== debian/changelog ===
openexr (2.5.3-2) unstable; urgency=medium

  * Upload to unstable (Closes: #959444)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 21 Aug 2020 22:56:55 +0200

openexr (2.5.3-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 14 Aug 2020 20:54:17 +0200

openexr (2.5.2-2) experimental; urgency=medium

  * debian/control: strict versioning against libilmbase-dev

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 06 Aug 2020 20:18:22 +0200

openexr (2.5.2-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 06 Aug 2020 17:38:22 +0200

openexr (2.5.1-2) experimental; urgency=medium

  * debian/rules: drop tests on all architectures

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 12 Jun 2020 20:36:27 +0200

openexr (2.5.1-1) experimental; urgency=medium

  * New upstream release (Closes: #960439)
    - debian/control: SONAME bump 24 -> 25
  * debian/rules: set cmake as build system

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 21 May 2020 23:05:36 +0200

openexr (2.5.0-1) experimental; urgency=medium

  * New upstream release, fixing following security issues:
    + CVE-2020-11758:
    | An issue was discovered in OpenEXR before 2.4.1. There is an out-of-
    | bounds read in ImfOptimizedPixelReading.h.
    + CVE-2020-11759:
    | An issue was discovered in OpenEXR before 2.4.1. Because of integer
    | overflows in CompositeDeepScanLine::Data::handleDeepFrameBuffer and
    | readSampleCountForLineBlock, an attacker can write to an out-of-bounds
    | pointer.
    + CVE-2020-11760:
    | An issue was discovered in OpenEXR before 2.4.1. There is an out-of-
    | bounds read during RLE uncompression in rleUncompress in ImfRle.cpp.
    + CVE-2020-11761:
    | An issue was discovered in OpenEXR before 2.4.1. There is an out-of-
    | bounds read during Huffman uncompression, as demonstrated by
    | FastHufDecoder::refill in ImfFastHuf.cpp.
    + CVE-2020-11762:
    | An issue was discovered in OpenEXR before 2.4.1. There is an out-of-
    | bounds read and write in DwaCompressor::uncompress in
    | ImfDwaCompressor.cpp when handling the UNKNOWN compression case.
    + CVE-2020-11763:
    | An issue was discovered in OpenEXR before 2.4.1. There is an
    | std::vector out-of-bounds read and write, as demonstrated by
    | ImfTileOffsets.cpp.
    + CVE-2020-11764:
    | An issue was discovered in OpenEXR before 2.4.1. There is an out-of-
    | bounds write in copyIntoFrameBuffer in ImfMisc.cpp.
    + CVE-2020-11765:
    | An issue was discovered in OpenEXR before 2.4.1. There is an off-by-
    | one error in use of the ImfXdr.h read function by
    | DwaCompressor::Classifier::Classifier, leading to an out-of-bounds
    | read.
  * debian/watch: upstream URL updated
  * debian/control:
    - S-V bump 4.4.0 -> 4.5.0 (no changes needed)
    - RRR set
    - debhelper bump 12 -> 13
    - cmake b-dep added
  * debian/patches/: patchset refreshed against v2.5.0
  * debian/copyright: entries updated and refreshed
  * debian/libopenexr-dev.install: useless files dropped
  * debian/libopenexr-dev.dirs: useless file dropped
  * debian/openexr-doc.docs: installation path updated
  * debian/openexr.install: executables path updated
  * debian/libopenexr-dev.install: cmake helpers added
  * debian/openexr-doc.examples: installation paths updated

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 11 May 2020 16:33:24 +0200
