=== debian/control ===
--- 
+++ 
@@ -8,13 +8,15 @@
 Build-Conflicts:
  libopenexr-dev (<< 2.2.0-1)
 Build-Depends:
- debhelper-compat (= 12),
+ cmake,
+ debhelper-compat (= 13),
  dh-buildinfo,
  dpkg-dev (>= 1.18.0),
- libilmbase-dev (>= 2.3.0-5),
+ libilmbase-dev (>= 2.5.2),
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.openexr.com
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/openexr.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/openexr
@@ -87,8 +89,8 @@
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
- libilmbase-dev (>= 2.3.0-3),
- libopenexr24 (= ${binary:Version}),
+ libilmbase-dev (>= 2.5.1),
+ libopenexr25 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
@@ -111,7 +113,7 @@
  This package contains the header files required if you wish to
  compile/develop applications that use OpenEXR libraries.
 
-Package: libopenexr24
+Package: libopenexr25
 Section: libs
 Architecture: any
 Multi-Arch: same
