=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/, \
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openexr_$1\.tar\.gz/" \
https://github.com/AcademySoftwareFoundation/openexr/tags .*/v?(\d\S+)\.tar\.gz
